# Get profile

> One profile, as a bare object.

Canonical: <https://www.tryadeli.com/docs/api/profiles/get-profile>

`GET https://app.tryadeli.com/api/v1/profiles/{profileId}`

Authorization: `Bearer <API key>` — see [Authentication](https://www.tryadeli.com/docs/authentication)

Returns the profile as a bare object — not wrapped in `profiles`.

**Path parameters**

| Name        | Type   | Required | Description                                                                      |
| ----------- | ------ | -------- | -------------------------------------------------------------------------------- |
| `profileId` | `uuid` | Yes      | A profile in your organization. Any other value returns 404 profile\_not\_found. |

**Errors** — `401 unauthorized`, `400 invalid_request`, `404 profile_not_found`,
`502 database_error`.

## Request examples

**cURL**

```bash
curl --fail-with-body "https://app.tryadeli.com/api/v1/profiles/00000000-0000-4000-8000-000000000002" \
  -H "Authorization: Bearer $ADELI_API_KEY"
```

**JavaScript**

```javascript
const response = await fetch("https://app.tryadeli.com/api/v1/profiles/00000000-0000-4000-8000-000000000002", {
  headers: {
    Authorization: `Bearer ${process.env.ADELI_API_KEY}`,
  },
});
console.log(await response.json());
```

**Python**

```python
import os

import requests

response = requests.get(
    "https://app.tryadeli.com/api/v1/profiles/00000000-0000-4000-8000-000000000002",
    headers={"Authorization": f"Bearer {os.environ['ADELI_API_KEY']}"},
)
print(response.json())
```

## Responses

### 200

```json
{
  "id": "00000000-0000-4000-8000-000000000002",
  "name": "Client A",
  "externalId": "customer-123",
  "metadata": { "plan": "pro" },
  "isDefault": false,
  "createdAt": "2026-09-09T14:30:00.000Z",
  "updatedAt": "2026-09-09T14:30:00.000Z"
}
```

### 404

```json
{
  "error": {
    "code": "profile_not_found",
    "message": "Profile not found"
  }
}
```
